//===========================================================================
//
// Name:			Doom_c.c
// Function:		chat lines for Doom
// Programmer:		MrElusive (MrElusive@idsoftware.com)
// Last update:		1999-09-08
// Tab Size:		3 (real tabs)
//===========================================================================

//example initial chats
chat "Ed-209"
{
	//the teamplay.h file is included for all kinds of teamplay chats
	#include "teamplay.h"
	//======================================================
	//======================================================
	type "game_enter" //initiated when the bot enters the game
	{
		"Where is Robocop?";
		"I am... Ed-209.";
		"No one knows ", 4, " better than me.";
		" ", 4, "you gonna be my first target.";
		"You just haven't learned yet, have you?";
		"1011 0110 0011 1110";
		// 1= random opponent
		// 4= Level's title
		// 0 = bot name
	} //end type

	type "game_exit" //initiated when the bot exits the game
	{
		"My battery is dead";
		GOODBYE1;
		"You have 20 seconds to move your vehicle.";
		"All too easy.";
		// 1= random opponent
		// 0 = bot name
	} //end type

	type "level_start" //initiated when a new level starts
	{
		"1011 0110 0011 1110";
		"Too many in here! Get out, ", 1 ,"! Run while you can!";
		"Resistence is futile.";
		"I'm an advanced type of toaster.";
		LEVEL_START2;
		// 0 = bot name
	} //end type


	type "level_end" //initiated when a level ends and the bot is not first and not last in the rankings
	{
		"1011 0110 0011 1110";
		"This isn't the end. I'll be back to finish what I started.";
		"Bastards!";
		"Please put down your weapon...";
		"Listen up and listen good, I don't do mediocre.";
		" Hahaha ", 2, " you need some practice.";
	
		// 2 = opponent in first place
		// 3 = opponent in last place
		// 0 = bot name
	} //end type

	type "level_end_victory" //initiated when a level ends and the bot is first in the rankings
	{	
		"You now have 15 seconds to comply...";
		"I am... Ed-209.";
		" Hahaha ", 3, " you need some practice.";
		"Anyone has a screw driver?";
		LEVEL_END_VICTORY4;
		"Resistence is futile.";
		"I am the best!";
		"Awwww. Looks like ", 3, " needs a big hug.";
		1, ", go give ", 3, " some tissue to wipe those tears.";
		// 1 = random opponent
		// 3 = opponent in last place
		// 0 = bot name
	} //end type

	type "level_end_lose" //initiated when a level ends and the bot is last in the rankings
	{
		"I need fixing.";
		"Bastards!";
		LEVEL_END_LOSE2;
		"Wanna taste some lead ", 2, "?";
		// 2 = opponent in first place
		// 0 = bot name
	} //end type


	//======================================================
	//======================================================

	type "hit_talking" //bot is hit while chat balloon is visible; lecture attacker on poor sportsmanship
	{
		"A cheap shot, ", 0, ". You don't win a match with cheap shots.";
		"If you so much as point that ", 1, " in my direction again, ", 0, ", you're gonna eat it.";
		"That's a cheap shot, ", 0, ". You don't win matches that way.";
		"Well, so much for being sociable.";
		//1 = weapon used by shooter
		//0 = shooter
	} //end type

	type "hit_nodeath" //bot is hit by an opponent's weapon attack; either praise or insult
	{
		"That's it, ", fighter, ". Try aiming next time and you may actually kill someone.";
		"You gonna have to do better than that ", 0, ".";
		0, ", do that again and you're dead!";
		"Mouahaha, this is funny.";
		"Your technique reminds me of a story, ", 0, ". A short dull ~one.";
		"";
		"My arm!! My arm!!!";
		//1 = weapon used by shooter		
		//0 = shooter
	} //end type


	type "hit_nokill" //bot hits an opponent but does not kill it
	{
		"Well are you just going to stand there ", 0, "? Do something.";
		"Take it as a warning to quit, ", 0, ". Run away! Do you hear?";		
		"1011 0110 0011 1110";
		"Stop it!!";
		"Grrr...";
		TAUNT;
		TAUNT7;
		"You've got it, don't you?";
		//0 = opponent	
	} //end type

	//======================================================
	//======================================================

	type "death_telefrag" //initiated when the bot is killed by a telefrag
	{
		"";
		"Is this some kind of trick, ", 0, ".";
		"You got a problem?";
		DEATH_TELEFRAGGED0;
		// 0 = enemy name
	} //end type

	type "death_cratered" //initiated when the bot is killed by taking "normal" falling damage
	{	
		"I think my legs are broken.";
		"It's a dream...Im falling, falling...yeeaaarghhh!";
		"What a waste of a perfectly good pair of legs.";
		// 0 = enemy name
	} //end type

	type "death_lava" //initiated when the bot dies in lava
	{
		"Smells like burnt toasts!";
		"Heat...";
		// 0 = enemy name
	} //end type

	type "death_slime" //initiated when the bot dies in slime
	{	
		"What's that weird green stuff?";
		"shouldn't this stuff be in barrels!?!";
		DEATH_SLIME0;
		"Somebody went outta their way to make this feel like home.";
		// 0 = enemy name
	} //end type

	type "death_drown" //initiated when the bot drowns
	{
		"I need some air!";
		"Good, I was thristy anyway...";
		"Guess I won't make the swim team.";
		// 0 = enemy name
	} //end type

	type "death_suicide" //initiated when bot blows self up with a weapon or craters
	{
		"I felt nothing...";
		"Just be glad I didn't take you with me, ", 0, ".";
		"I can rebuilt myself anyway!";
		DEATH_SUICIDE3;
		DEATH_SUICIDE4;
		"1011 0110 0011 1110";
		"I just felt like it... that's why!";
		// 0 = enemy name
	} //end type

	type "death_gauntlet" //initiated when the bot is killed by a gauntlet attack
	{	
		"Spiky!";
		"I didn't think you were strong enough to lay a glove on me.";
		"Hail to the Gloved ~One.";
		DEATH_INSULT4;
		"Your mama slaps harder than that, ", 0, ".";
		//1 = weapon used by shooter	
		// 0 = enemy name
	} //end type

	type "death_rail" //initiated when the bot is killed by a rail gun shot
	{	
		"In a recent study, maggots were ranked higher than campers.";
		DEATH_INSULT0;
		DEATH_RAIL2;
		"Heh, I never heard it. I thought I would hear it...";
		"That rang my chimes!";
		// 0 = enemy name
	} //end type

	type "death_bfg" //initiated when the bot died by a BFG
	{
		"The rain of destruction. It doesn't stop!";
		"Hey, ", 0, ". The ", 1, " is a big kid's toy! Put it down!";
		"Funny what ", 0, " can do when a gun misfires.";
		"That toy ain't no BFG.";
		DEATH_BFG2;
		// 1 = weapon used by shooter
		// 0 = enemy name
	} //end type

	type "death_insult" //insult initiated when the bot died
	{
		"The only reason why you're still alive, is because I let you live!";
		"I am now authorized to use physical force.";
		"Yeah, take my time... pull out your intestines ~one foot at a tug.";
		DEATH_INSULT3;
		"You just gave me some needed rest!";
		"You have 20 seconds to comply.";
		"I AM THE DESTROYER!!";
		// 0 = enemy name
	} //end type


	type "death_praise" //praise initiated when the bot died
	{	
		"You and your ", 1, " win this round, fiend face. Enjoy it while it lasts.";
		"Take a moment to reflect on your accomplishment, ", 0, ".";
		D_PRAISE5;
		"Come back here!";
		// 1 = weapon used by shooter
		// 0 = enemy name
	} //end type

	//======================================================
	//======================================================

	type "kill_rail" //initiated when the bot kills someone with rail gun
	{
		"Well if it isn't my old friend Mr. Swiss cheese.";
		KILL_RAIL1;
		"Sssh. Say nothing, just lie down.";
		"Ker-splattttt!";
		"Fore!!!";
		"That's what I call a 'round peg in a square hole.'";
		// 0 = enemy name
	} //end type

	type "kill_gauntlet" //initiated when the bot kills someone with gauntlet
	{
		"It's better this way. No gore. No body parts lying... everywhere.";
		"I think I have some of your face stuck to my glove, ", 0, "!";
		"Need... Berserk pack... must... have... berserk pack!";
		"Bwahahahahahaha!";
		"I can't get enough of this!";
		"Groovy!";
		"This will do just fine 'til I get me a chainsaw.";
		DEATH_GAUNTLET2;
		// 0 = enemy name
	} //end type

	type "kill_telefrag" //initiated when the bot telefragged someone
	{
		"1011 0110 0011 1110";
		TELEFRAGGED3;
		"Thats what ", 0, " gets for being such a hot head.";
		"MMMMM... leftovers again!";
		"I love my work!";
		// 0 = enemy name
	} //end type

	type "kill_suicide" //initiated when the player kills self
	{
		KILL_EXTREME_INSULT;
		KILL_INSULT34;
		"Hahahahahaha!";
		"Pretty colors! Do that again!";
		"You think that put me in a better mood? Well, yeah.";
		// 0 = enemy name
	} //end type

	type "kill_insult" //insult initiated when the bot killed someone
	{
		"Your ass is mine...";
		"I told you to drop your weapon.";
		"Brainless moro... oops... wait I CAN see your brain, ", 0, "!";
		"Hahahahahah ... I just love my job!";
		"Still haven't changed, have you.";
		"Don't worry. folks. ", 0, " won't do that again. ", 0, " doesn't have the guts!";
		"That's ~one way to wipe the smile off someone's face.";
		"Robocop!!";
		KILL_INSULT19;
		KILL_INSULT24;
		// 0 = enemy name
	} //end type

	type "kill_praise" //praise initiated when the bot killed someone
	{
		PRAISE4;
		"Shoot me.. and see what happens.";
		"You did good ", 0, "... sure... you can believe that if it helps.";
		// 0 = enemy name
	} //end type	

	//======================================================
	//======================================================

	type "random_insult" //insult initiated randomly (just when the bot feels like it)
	{
		"1011 0110 0011 1110";
		"Please put down your weapon."; 
		"You have 15 seconds to comply.";
		0," screams louder than a school girl.";
		1, " has an odd fascination with the pavement.";
		"'", 1, " loses in ", 4, ". Perfect for your tombstone, ", 1, "!";	
		// 0 = name of randomly chosen player
		// 1 = bot name
		// 4 = level's title 
	} //end type


	type "random_misc" //miscellanous chats initiated randomly
	{
		"I am Ed-209...";
		"Robocop!!";
		"Who stole my remote control?";
		"Alcor does great models!"
		"First I'm taking this.. then I take care of you!";
		"1011 0110 0011 1110";
		"I need some spare parts.";
		"Grrr...";
		MISC1;
		MISC0;
		one_liners;
		"Some has a screw driver?";
		"I am Ed-209...";
		// 0 = name of randomly chosen player
		// 1 = bot name
		// 5 = random weapon from weapons list
	} //end type
} //end chat


